import { createStore } from "vuex";
import { connect } from "./net";
import { loginFunc } from './utils/interface'
import { message } from 'ant-design-vue';
import storage from 'store';
export interface State {
    login: boolean
}
const store = createStore<State>({
    state() {
        return {
            login: false
        }
    },
    getters: {
        authed(state) {
            return state.login
        }
    },
    mutations: {
        doLogin(state, value) {
            state.login = value;
        }
    },
    actions: {
        doLogin(context) {
            let host = storage.get('host') || '127.0.0.1';
            let port = storage.get('port') || '1234';
            connect(host, port).then(() => {
                //loginFunc('admin', 'MgBO%E9PiKOebv!vtQ?3?86!5y6$&d3O').then((r) => {
                    message.success('登陆成功');
                    context.commit('doLogin', true)
                //})
            })
        }
    }
})

export default store;