// 网络状态
export enum NET_STATUS {
    WEAK = '1',             // 弱网
    DISCONNECT = '2',       // 连接断开
    RECONNECTING = '3',     // 重连中
    RECONNECT_TIMEOUT = '4',// 连接超时
    GOOD = '5',             // 网络正常
    OFFLINE = '6',          // 无网
    FAIL = '7',             // 尝试完次数
    CONNECT_FAIL = '8',
    DO_RELOGIN = '9',
    PING = '10',
    AUTH = '11',            // 授权成功
    LINE_ING = '12',            // 排队中
    LINE_OVER = '13',            // 排队完成
    LINE_QUEUE = '14',            // 排队消息推送
    AUTH_ERROR = '15',          // 授权失败
}

// 订阅参数
export interface ISubOpts {
    primaryKey?: number | string    //要订阅的主键
    customKey?: boolean             //非数据库自定义订阅
    subStruct: any                  //数据结构
    wareType?: string               //数据库类型
    subFn?: Function                //订阅回调，默认更新store
    onSuccess?: Function
    onFailure?: Function
}
