export class Session {
    private id: string;
    private map: Map<string, string>;

    constructor(id: string, map: Map<string, string>) {
        this.map = map;
        this.id = id;
    }

    //设置session
    set(key: string, value: string) {
        this.map.set(key, value);
    }

    /**
     * 获取session
     * 获取指定key的值，如果不存在，则返回def
     */
    get(key: string, def?: any): string {
        return this.map.get(key) || def;
    }

    getId(): string {
        return this.id;
    }
}
