import { all_grays, gray_available_pids, gray_available_vids } from "pi_pt/native/pi_serv_lib/js_gray";
import { getVids } from "pi_pt/util/util";

// 随机获取一个扩展虚拟机id
export const getExtVid = (gray?: number): number => {
    const gray2 = gray || getLatestExtVersion();
    if (!(typeof gray2 === 'number')) {
        return undefined;
    }
    const vms = getVids(gray2);
    // 通过灰度版本获取所有可用的vm
    if (!vms) {
        return undefined;
    }
    let index = Math.floor(Math.random() * 10000000) % vms.length;
    return vms[index];
}


// 获取最新版本
export const getLatestWorkerVersion = (): number => {
    const list = all_grays();
    if (list.length >= 2) {
        return list[list.length - 2];
    }
}

// 获取最新版本
export const getLatestExtVersion = (): number => {
    const list = all_grays();
    if (list.length >= 2) {
        return list[list.length - 1];
    }
}