import type { AppRouteModule } from '/@/router/types'
import { LAYOUT } from '/@/router/constant'

const webshell: AppRouteModule = {
    path: '/welcome',
    name: 'welcome',
    component: LAYOUT,
    redirect: '/welcome/index',
    meta: {
        orderNo: 1,
        icon: 'ion:grid-outline',
        hideChildrenInMenu: true,
        title: '首页',
    },
    children: [
        {
            path: 'index',
            name: '首页',
            component: () => import('/@/views/sys/welcome/welcome.vue'),
            meta: {
                title: '首页',
            },
        },
    ],
}

export default webshell
